BizKitHub
DocsAPI ReferenceOrganisation/bff/organisation-ai/remove-api-key
postOrganisationAdmin BFF

/bff/organisation-ai/remove-api-key

Deletes the configured API key for the given provider. Subsequent AI calls of that provider fall back to the shared BizKitHub key.

OrganisationpostBffOrganisation-aiRemove-api-key

Parameters

JSON body

Request body

application/json
provider"google" | "openai" | "anthropic"Required

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true
removedbooleanRequired

Response example

application/json
{
  "success": true,
  "removed": false
}

Request example

POST /bff/organisation-ai/remove-api-key

post
curl -X POST "https://api.bizkithub.com/bff/organisation-ai/remove-api-key" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key